Upstream information

CVE-2011-3146 at MITRE

Description

librsvg before 2.34.1 uses the node name to identify the type of node, which allows context-dependent attackers to cause a denial of service (NULL pointer dereference) and possibly execute arbitrary code via a SVG file with a node with the element name starting with "fe," which is misidentified as a RsvgFilterPrimitive.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 714980 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • gdk-pixbuf-loader-rsvg >= 2.42.3-1.49
  • librsvg-2-2 >= 2.42.3-1.49
  • librsvg-devel >= 2.42.3-1.49
  • typelib-1_0-Rsvg-2_0 >= 2.42.3-1.49
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA gdk-pixbuf-loader-rsvg-2.42.3-1.49
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA librsvg-devel-2.42.3-1.49
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • librsvg-devel >= 2.26.0-2.3.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA librsvg-devel-2.26.0-2.3.1
SUSE Linux Enterprise Desktop 12 SP1
  • gdk-pixbuf-loader-rsvg >= 2.40.2-1.13
  • librsvg-2-2 >= 2.40.2-1.13
  • librsvg-2-2-32bit >= 2.40.2-1.13
  • librsvg-devel >= 2.40.2-1.13
  • rsvg-view >= 2.40.2-1.13
  • typelib-1_0-Rsvg-2_0 >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA gdk-pixbuf-loader-rsvg-2.40.2-1.13
SUSE Linux Enterprise Software Development Kit 12 SP1 GA librsvg-devel-2.40.2-1.13
SUSE Linux Enterprise Desktop 12 SP2
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • librsvg-2-2-32bit >= 2.40.15-4.5
  • librsvg-devel >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA gdk-pixbuf-loader-rsvg-2.40.15-4.5
SUSE Linux Enterprise Software Development Kit 12 SP2 GA librsvg-devel-2.40.15-4.5
SUSE Linux Enterprise Desktop 12 SP3
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • librsvg-2-2-32bit >= 2.40.15-4.5
  • librsvg-devel >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA gdk-pixbuf-loader-rsvg-2.40.15-4.5
SUSE Linux Enterprise Software Development Kit 12 SP3 GA librsvg-devel-2.40.15-4.5
SUSE Linux Enterprise Desktop 12 SP4
  • gdk-pixbuf-loader-rsvg >= 2.40.20-5.6.1
  • librsvg-2-2 >= 2.40.20-5.6.1
  • librsvg-2-2-32bit >= 2.40.20-5.6.1
  • librsvg-devel >= 2.40.20-5.6.1
  • rsvg-view >= 2.40.20-5.6.1
  • typelib-1_0-Rsvg-2_0 >= 2.40.20-5.6.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA gdk-pixbuf-loader-rsvg-2.40.20-5.6.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA librsvg-devel-2.40.20-5.6.1
SUSE Linux Enterprise Desktop 12
  • gdk-pixbuf-loader-rsvg >= 2.40.2-1.13
  • librsvg-2-2 >= 2.40.2-1.13
  • librsvg-2-2-32bit >= 2.40.2-1.13
  • librsvg-devel >= 2.40.2-1.13
  • rsvg-view >= 2.40.2-1.13
  • typelib-1_0-Rsvg-2_0 >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Desktop 12 GA gdk-pixbuf-loader-rsvg-2.40.2-1.13
SUSE Linux Enterprise Software Development Kit 12 GA librsvg-devel-2.40.2-1.13
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • gdk-pixbuf-loader-rsvg >= 2.42.3-1.49
  • librsvg-2-2 >= 2.42.3-1.49
  • librsvg-devel >= 2.42.3-1.49
  • typelib-1_0-Rsvg-2_0 >= 2.42.3-1.49
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA gdk-pixbuf-loader-rsvg-2.42.3-1.49
SUSE Linux Enterprise Module for Desktop Applications 15 GA librsvg-devel-2.42.3-1.49
SUSE Linux Enterprise High Performance Computing 12 SP5
  • gdk-pixbuf-loader-rsvg >= 2.40.20-5.6.1
  • librsvg-2-2 >= 2.40.20-5.6.1
  • librsvg-2-2-32bit >= 2.40.20-5.6.1
  • rsvg-view >= 2.40.20-5.6.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA gdk-pixbuf-loader-rsvg-2.40.20-5.6.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • gdk-pixbuf-loader-rsvg >= 2.42.3-1.49
  • librsvg-2-2 >= 2.42.3-1.49
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA gdk-pixbuf-loader-rsvg-2.42.3-1.49
SUSE Linux Enterprise Module for Basesystem 15
  • gdk-pixbuf-loader-rsvg >= 2.42.3-1.49
  • librsvg-2-2 >= 2.42.3-1.49
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA gdk-pixbuf-loader-rsvg-2.42.3-1.49
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • librsvg-devel >= 2.42.3-1.49
  • typelib-1_0-Rsvg-2_0 >= 2.42.3-1.49
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA librsvg-devel-2.42.3-1.49
SUSE Linux Enterprise Module for Desktop Applications 15
  • librsvg-devel >= 2.42.3-1.49
  • typelib-1_0-Rsvg-2_0 >= 2.42.3-1.49
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA librsvg-devel-2.42.3-1.49
SUSE Linux Enterprise Server 11 SP1
  • librsvg >= 2.26.0-2.3.1
  • librsvg-32bit >= 2.26.0-2.3.1
  • librsvg-x86 >= 2.26.0-2.3.1
  • rsvg-view >= 2.26.0-2.3.1
Patchnames:
slessp1-librsvg
SUSE Linux Enterprise Server 11 SP2
  • librsvg >= 2.26.0-2.3.1
  • librsvg-32bit >= 2.26.0-2.3.1
  • librsvg-x86 >= 2.26.0-2.3.1
  • rsvg-view >= 2.26.0-2.3.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA librsvg-2.26.0-2.3.1
SUSE Linux Enterprise Server 11 SP3
  • librsvg >= 2.26.0-2.3.1
  • librsvg-32bit >= 2.26.0-2.3.1
  • librsvg-x86 >= 2.26.0-2.3.1
  • rsvg-view >= 2.26.0-2.3.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA librsvg-2.26.0-2.3.1
SUSE Linux Enterprise Server 11 SP4
  • librsvg >= 2.26.0-2.3.1
  • librsvg-32bit >= 2.26.0-2.3.1
  • librsvg-devel >= 2.26.0-2.3.1
  • librsvg-x86 >= 2.26.0-2.3.1
  • rsvg-view >= 2.26.0-2.3.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA librsvg-2.26.0-2.3.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA librsvg-devel-2.26.0-2.3.1
SUSE Linux Enterprise Server 12 SP1
  • gdk-pixbuf-loader-rsvg >= 2.40.2-1.13
  • librsvg-2-2 >= 2.40.2-1.13
  • librsvg-2-2-32bit >= 2.40.2-1.13
  • librsvg-devel >= 2.40.2-1.13
  • rsvg-view >= 2.40.2-1.13
  • typelib-1_0-Rsvg-2_0 >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA gdk-pixbuf-loader-rsvg-2.40.2-1.13
SUSE Linux Enterprise Software Development Kit 12 SP1 GA librsvg-devel-2.40.2-1.13
SUSE Linux Enterprise Server 12 SP2
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • librsvg-2-2-32bit >= 2.40.15-4.5
  • librsvg-devel >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA gdk-pixbuf-loader-rsvg-2.40.15-4.5
SUSE Linux Enterprise Software Development Kit 12 SP2 GA librsvg-devel-2.40.15-4.5
SUSE Linux Enterprise Server 12 SP3
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • librsvg-2-2-32bit >= 2.40.15-4.5
  • librsvg-devel >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA gdk-pixbuf-loader-rsvg-2.40.15-4.5
SUSE Linux Enterprise Software Development Kit 12 SP3 GA librsvg-devel-2.40.15-4.5
SUSE Linux Enterprise Server 12 SP4
  • gdk-pixbuf-loader-rsvg >= 2.40.20-5.6.1
  • librsvg-2-2 >= 2.40.20-5.6.1
  • librsvg-2-2-32bit >= 2.40.20-5.6.1
  • librsvg-devel >= 2.40.20-5.6.1
  • rsvg-view >= 2.40.20-5.6.1
  • typelib-1_0-Rsvg-2_0 >= 2.40.20-5.6.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA gdk-pixbuf-loader-rsvg-2.40.20-5.6.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA librsvg-devel-2.40.20-5.6.1
SUSE Linux Enterprise Server 12 SP5
  • gdk-pixbuf-loader-rsvg >= 2.40.20-5.6.1
  • librsvg-2-2 >= 2.40.20-5.6.1
  • librsvg-2-2-32bit >= 2.40.20-5.6.1
  • librsvg-devel >= 2.40.20-5.6.1
  • rsvg-view >= 2.40.20-5.6.1
  • typelib-1_0-Rsvg-2_0 >= 2.40.20-5.6.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA gdk-pixbuf-loader-rsvg-2.40.20-5.6.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA librsvg-devel-2.40.20-5.6.1
SUSE Linux Enterprise Server 12
  • gdk-pixbuf-loader-rsvg >= 2.40.2-1.13
  • librsvg-2-2 >= 2.40.2-1.13
  • librsvg-2-2-32bit >= 2.40.2-1.13
  • librsvg-devel >= 2.40.2-1.13
  • rsvg-view >= 2.40.2-1.13
  • typelib-1_0-Rsvg-2_0 >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Server 12 GA gdk-pixbuf-loader-rsvg-2.40.2-1.10
SUSE Linux Enterprise Software Development Kit 12 GA librsvg-devel-2.40.2-1.13
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA gdk-pixbuf-loader-rsvg-2.40.15-4.5
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • librsvg-devel >= 2.40.2-1.13
  • typelib-1_0-Rsvg-2_0 >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA librsvg-devel-2.40.2-1.13
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • librsvg-devel >= 2.40.15-4.5
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA librsvg-devel-2.40.15-4.5
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • librsvg-devel >= 2.40.15-4.5
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA librsvg-devel-2.40.15-4.5
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • librsvg-devel >= 2.40.20-5.6.1
  • typelib-1_0-Rsvg-2_0 >= 2.40.20-5.6.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA librsvg-devel-2.40.20-5.6.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • librsvg-devel >= 2.40.20-5.6.1
  • typelib-1_0-Rsvg-2_0 >= 2.40.20-5.6.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA librsvg-devel-2.40.20-5.6.1
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Software Development Kit 12
  • librsvg-devel >= 2.40.2-1.13
  • typelib-1_0-Rsvg-2_0 >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA librsvg-devel-2.40.2-1.13
openSUSE Leap 15.0
  • gdk-pixbuf-loader-rsvg >= 2.42.3-lp150.1.20
  • librsvg-2-2 >= 2.42.3-lp150.1.20
  • rsvg-thumbnailer >= 2.42.3-lp150.1.20
  • typelib-1_0-Rsvg-2_0 >= 2.42.3-lp150.1.20
Patchnames:
openSUSE Leap 15.0 GA gdk-pixbuf-loader-rsvg-2.42.3-lp150.1.20
openSUSE Tumbleweed
  • gdk-pixbuf-loader-rsvg >= 2.40.16-1.4
  • gdk-pixbuf-loader-rsvg-32bit >= 2.40.16-1.4
  • librsvg-2-2 >= 2.40.16-1.4
  • librsvg-2-2-32bit >= 2.40.16-1.4
  • librsvg-devel >= 2.40.16-1.4
  • rsvg-view >= 2.40.16-1.4
  • typelib-1_0-Rsvg-2_0 >= 2.40.16-1.4
Patchnames:
openSUSE Tumbleweed GA gdk-pixbuf-loader-rsvg-2.40.16-1.4


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products past their end of life and not receiving proactive updates anymore.
SLES for SAP Applications 11 SP2 librsvg Released
SLES for SAP Applications 11 SP3 librsvg Released
SUSE Linux Enterprise Desktop 11 SP1 librsvg Released
SUSE Linux Enterprise Desktop 11 SP2 librsvg Released
SUSE Linux Enterprise Desktop 11 SP3 librsvg Released
SUSE Linux Enterprise Desktop 11 SP4 librsvg Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search librsvg Released
SUSE Linux Enterprise Server 11 SP1 librsvg Released
SUSE Linux Enterprise Server 11 SP1 LTSS librsvg Released
SUSE Linux Enterprise Server 11 SP2 librsvg Released
SUSE Linux Enterprise Server 11 SP2 LTSS librsvg Released
SUSE Linux Enterprise Server 11 SP3 librsvg Released
SUSE Linux Enterprise Server 11 SP3 LTSS librsvg Released
SUSE Linux Enterprise Server 11 SP3-LTSS librsvg Affected
SUSE Linux Enterprise Server 11 SP4 librsvg Released
SUSE Linux Enterprise Server 11 SP4 LTSS librsvg Released
SUSE Linux Enterprise Server 11 SP4-LTSS librsvg Released
SUSE Linux Enterprise Server for SAP Applications 11 SP1 librsvg Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 librsvg Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 librsvg Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 librsvg Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 librsvg Released
SUSE Linux Enterprise Software Development Kit 11 SP1 librsvg Released
SUSE Linux Enterprise Software Development Kit 11 SP2 librsvg Released
SUSE Linux Enterprise Software Development Kit 11 SP3 librsvg Released
SUSE Linux Enterprise Software Development Kit 11 SP4 librsvg Released


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 08:11:58 2013
CVE page last modified: Tue Jan 17 14:09:15 2023